Skip to content
Start here

Stop livestreaming a meeting

client.realtimeKit.livestreams.stopLivestreamingAMeeting(stringappId, stringmeetingId, LivestreamStopLivestreamingAMeetingParams { account_id } params, RequestOptionsoptions?): LivestreamStopLivestreamingAMeetingResponse { data, success }
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream/stop

Stops the active livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the Create a meeting API.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
formatuuid
params: LivestreamStopLivestreamingAMeetingParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
LivestreamStopLivestreamingAMeetingResponse { data, success }
data?: Data { message }
message?: string
success?: boolean

Stop livestreaming a meeting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.livestreams.stopLivestreamingAMeeting(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.data);
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}